diff options
author | Paul Eggert <eggert@cs.ucla.edu> | 2005-05-04 17:22:54 +0000 |
---|---|---|
committer | Paul Eggert <eggert@cs.ucla.edu> | 2005-05-04 17:22:54 +0000 |
commit | a68066a0fb9f40e5e91d12c9ebc4515bf35660a5 (patch) | |
tree | 817b4755b7b56e467ca4c094bb98061719d95ee2 /tests/chmod | |
parent | 5147bacee138ede2b755f9e92c34fb42e67c8f67 (diff) | |
download | coreutils-a68066a0fb9f40e5e91d12c9ebc4515bf35660a5.tar.xz |
Initial version.
Diffstat (limited to 'tests/chmod')
-rwxr-xr-x | tests/chmod/umask-x | 36 |
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/chmod/umask-x b/tests/chmod/umask-x new file mode 100755 index 000000000..6ed95b122 --- /dev/null +++ b/tests/chmod/umask-x @@ -0,0 +1,36 @@ +#!/bin/sh +# Test that chmod -x file reports an error if the result is executable. + +if test "$VERBOSE" = yes; then + set -x + chmod --version +fi + +. $srcdir/../lang-default + +pwd=`pwd` +tmp=minus.$$ +trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0 +trap '(exit $?); exit' 1 2 13 15 + +framework_failure=0 +mkdir $tmp || framework_failure=1 +cd $tmp || framework_failure=1 + +if test $framework_failure = 1; then + echo "$0: failure in testing framework" 1>&2 + (exit 1); exit 1 +fi + +fail=0 + +touch file +chmod 755 file +(umask 77 && chmod -x file) 2>/dev/null && fail=1 + +if test $framework_failure = 1; then + echo "$0: failure in testing framework" 1>&2 + fail=1 +fi + +(exit $fail); exit $fail |